Need a Minecraft server? BeastNode offers the highest performance servers with DDoS protection!

Shop for plans now


How To Use Plugins on a Modded/Forge Server

Most mods and mod packs do not support Bukkit plugins as they are based off of vanilla Minecraft. However, with BukkitForge, MCPC+ (and future forks such as Cauldron, KCauldron and Thermos) and/or Sponge, you can enable plugin support again.
Note: Before installing BukkitForge or MCPC+, you must run the mod/mod pack at least once and confirm it to be working by joining your server. There will also be a list of mods at the bottom of thie guide that do not work with MCPC+/Cauldron etc.. and would need to be removed from your modpack (both on the server and your launcher unless stated otherwise) in order to add plugins.

Currently, Bukkit plugins can be used on almost all modpacks that run on Forge 1.4.7 up to 1.7.10 (There will always be some exceptions/bugs/issues - Forge and Bukkit are not designed to work together) using the following server software. Forge 1.8 and newer cannot be used alongside Bukkit plugins, but can use SpongeForge to allow the use of Sponge plugins.

Easy 1-Click Installer Method (for MCPC+ and Cauldron/KCauldron/Thermos): At the time of this writing, the MCPC+ and Cauldron server JAR files should be available from the JAR File drop down menu in the Multicraft control panel. Simply select it (after you get your mod/modpack working), click Save at the bottom of the page, and restart your server to start using it. Make sure to select the version that corresponds with the mod/modpack you are using otherwise it may not work or could even break your server.

-For modpacks using Forge 1.4.7 or 1.5.2 use the MCPC+ options.
-For modpacks using Forge 1.6.4 use the Cauldron option.
-For modpacks using Forge 1.7.10 use the KCauldron or Thermos options.
---The 1.7.10 Cauldron option is for much older 1.7.10 packs, due to a change in Forge 1.7.10 in later builds (post .1291). Always use KCauldron/Thermos for newer modpacks.


Installing BukkitForge

BukkitForge is an alternative to MCPC+ for older modpacks - You can use one or the other but not both as they will conflict and crash if you add BukkitForge to an MCPC+ server.

To use BukkitForge, download the relevant version of BukkitForge you need here:

BukkitForge 1.4.7
BukkitForge 1.5.2

1. Download the JAR file for your server's Minecraft version.
2. Once the JAR file for BukkitForge is downloaded, simply upload that JAR file to your server's coremods folder, then restart it. If your server starts up normally, then it should generate a plugins folder (if it didn't exist already) and load up any plugins if they exist in that folder and are compatible with that server version.

Note: In general MCPC+ is a better alternative to BukkitForge, as BukkitForge is compatible with less Bukkit plugins in general and as it was not in development for as long it will have more bugs. BukkitForge is only recommended in the rare case that MCPC+ does not work with the mods you are using.


Forge 1.8+ and Sponge


Development on KCauldron (and Cauldron/MCPC+) has long since ended - and as of typing this there are no known plans for those updating Thermos to update that to Forge 1.8+ either - which means that there is currently no way to run Bukkit plugins on a Forge 1.8+ server.

However - you can still use plugins on the server in the form of Sponge Plugins. Whilst this does mean that the majority of features you may have found in Bukkit plugins may not be available, there is still some alternative for basic features you may wish to add.

To use Sponge you would either need to use the version we have on the jarlist - simply select it on the list, hit Save at the bottom of the page and restart to load the listed build of Forge and install the listed build of the SpongeForge mod (this will not remove any mods you already have installed and they should load up as normal if they are for the chosen Forge version) - or you would need to upload the relevant version of the SpongeForge mod for your servers current Forge version to the mods folder and restart the server.
You can download SpongeForge here: https://www.spongepowered.org/downloads/spongeforge

Note that it only works on specific builds of Forge - for example, the build we have available on the jarlist for 1.10.2 at the time of writing this (5.2.0-BETA-2433) will only work with Forge 1.10.2 build 12.18.3.2281. The Forge build any SpongeForge version requires is listed in the SpongeForge file name (Usually 'spongeforge-[MC Version]-[Forge Build]-[Sponge Version]-BETA-[Sponge Build].jar').
As such if you wish to use a mod that requires a newer build of Forge than the options are listed with, they cannot be used. You will need to install the build of Forge you need and a build of SpongeForge that is compatible with that build (if any) following the guide HERE.

Once SpongeForge is installed and loaded up you can start adding the Sponge plugins you wish to use - which you can download from the Sponge forums here: https://forums.spongepowered.org/c/plugins/plugin-releases

When you have all of the plugin files you wish to use you just need to upload them to the servers mods folder (not the plugins folder in this case, as you would with Bukkit plugins) and restart the server. As long as they are compatible with the SpongeForge version you are using they should load up fine, and their config files will be generated in the '/config' directory of your server files the same as any other mods you use.

Note: Although both SpongeForge and all Sponge plugins are installed in the '/mods' directory with all of your other mods, they still act the same as ordinary plugins and you do not need to install SpongeForge or the plugins on your launcher. They only need to be installed serverside.
Note 2: Sponge is still in 'early' development and while it is now at a stage that a lot of plugins are usable and do not cause too many issues, and SpongeForge itself is fairly stable, there may still be issues purely due to this fact. This will mean that there may be some issues that cannot be helped, and can only be resolved by removing the plugin that causes them (at least until they update to fix the issue).


Mods known to not work with MCPC+/Cauldron/KCauldron/Thermos


Any mods listed here either do not work with any of these Forge modifications and must be removed (from both the servers mods folder and your launchers, unless stated otherwise) or do not work with specific options as listed. If they are left on the server they will cause MCPC+ etc.. to crash.

-MobiusCore does not work with MCPC+/Cauldron/KCauldron (and possibly Thermos - untested).
-Opis does not work with MCPC+/Cauldron/KCauldron (and possibly Thermos - untested).
-FastCraft does not work with MCPC+ and some older versions of Cauldron/KCauldron, the latest KCauldron works with FastCraft fine (This only needs to be removed from the server - you can keep it on your launcher).

If you know of any other mods that do not work with one of these options please let us know via the tickets and we will add them to this list!

Was this answer helpful?

 Print this Article

Also Read

How To Upload a Custom JAR File

You can easily upload your own JAR file by either using FTP or the web-based file manager in...

1-Click Mod/Server JAR Install

To install any server version/JAR that is not a modpack all you have to do is log into your...

How To Change Between Vanilla / CraftBukkit / Other Mods

Here is how to change between CraftBukkit and Vanilla:   1.  Log into your Multicraft account...

How To Install A Custom or Pre-Packed Modpack

If you wish to set the server up with a modpack or version of a modpack that we do not have...

How To Install Custom Builds/Versions of Forge and/or Custom Mods

Installing Forge through the 1-click Install list on your control panelIf the Forge version you...